Bug 465430 - ibus sends invalid packet with XIM_GET_IC_VALUES_REPLY
ibus sends invalid packet with XIM_GET_IC_VALUES_REPLY
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 05:40 EDT by Akira TAGOH
Modified: 2008-12-17 23:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 23:55:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-10-03 05:40:09 EDT
Description of problem:
Here is the packet dump from libgxim:
D[ 1223025108.607584]:[transport/summary] 0x1400009 <- opcode: XIM_GET_IC_VALUES_REPLY(major: 57, minor 0) length: 20
D[ 1223025108.607586]:[transport/dump]  0  1  2  3  4  5  6  7  8  9  A  B  C  D  E  F 0123456789ABCDEF
D[ 1223025108.607587]:[transport/dump] --+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--=----------------
D[ 1223025108.607588]:[transport/dump] 39:00:03:00:05:00:05:00:04:00:00:00:cf:00:00:00 9...............
D[ 1223025108.607588]:[transport/dump] 00:00:00:00                                     ....

This means:
1 major-opcode                CARD8   0x39
1 minor-opcode                CARD8   0
2 length                      CARD16  3 (* length field specifies the number of 4 bytes elements following the header.)
2 input-method ID             CARD16  5
2 input-ctxt ID               CARD16  5
2 byte length of ic-attribute n       4
2 unused
n LISTofXICATTRIBUTE

XICATTRIBUTE is defined as:
2 CARD16  attribute ID
2 n       value length
n         value
p         unused, p = Pad(n)

So:
attribute ID CARD16 0xcf
value length n      0

There are 2 bad packets here. one is, the value length is 0. on this session, attribute ID 0xcf means filterEvents, which the value type is CARD32. so the value length has to be 4. and another one is, the byte length of ic-attribute is wrong.

Version-Release number of selected component (if applicable):
ibus-0.1.1.20081001-1.fc10.
Comment 1 Peng Huang 2008-10-05 08:34:16 EDT
Fixed in ibus-0_1_1_20081005-1_fc10
Comment 2 Bug Zapper 2008-11-25 22:30:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jens Petersen 2008-12-17 23:55:57 EST
Assuming this is fixed - please reopen if there is still a problem.

Note You need to log in before you can comment on or make changes to this bug.